<p align="center">
	<img alt="Veloren logo on a screenshot" src="https://cdn.discordapp.com/attachments/541307708146581519/712295605170602075/logo.png">
</p>

[![pipeline status](https://gitlab.com/veloren/veloren/badges/master/pipeline.svg)](https://gitlab.com/veloren/veloren/commits/master)
[![coverage report](https://gitlab.com/veloren/veloren/badges/master/coverage.svg)](https://gitlab.com/veloren/veloren/commits/master)
[![license](https://img.shields.io/github/license/veloren/veloren.svg)](https://gitlab.com/veloren/veloren/blob/master/LICENSE)
[![discord](https://img.shields.io/discord/449602562165833758.svg)](https://discord.gg/veloren-community-449602562165833758)
[![lines of code](https://tokei.rs/b1/gitlab/veloren/veloren)](https://tokei.rs/b1/gitlab/veloren/veloren)
[![contributor count](https://img.shields.io/github/contributors/veloren/veloren)](https://gitlab.com/veloren/veloren/-/graphs/master)

## Welcome to Veloren!

Veloren is a multiplayer voxel RPG written in Rust. It is inspired by games such as Cube World, The Legend of Zelda: Breath of the Wild, Dwarf Fortress and Minecraft. The game is in active development and enjoys a flourishing player community.

## Development

Currently, most communication among contributors takes place on our [official Discord server](https://discord.gg/veloren-community-449602562165833758). You can join it to keep up with the game development, talk to us or even contribute something yourself. Anyone who shows genuine effort to help is welcome in our team. You do not need to know how to code to contribute to the game!

## Useful links

[Sign up](https://veloren.net/account/) - Here you can create an official account for Veloren.
Most Veloren servers require you to register with the official authentication server to play.

<details>
<summary>Click here for more details about authentication</summary>
The official authentication server uses TLS encryption extensively. It also employs salted hashing to ensure your login credentials are stored securely. Additionally, the server neither tracks any metrics nor uses data for any purpose other than providing the authentication service.
</details>

[The wiki](https://wiki.veloren.net) - The official wiki which provides various information about the game.

[The book](https://book.veloren.net) - The book is a collection of supplementary information about the game. It includes instructions on how to compile the game.

[Future plans](https://gitlab.com/veloren/veloren/-/milestones) - This is the development roadmap and what issues the community is currently working on.

### Official social media and websites

- [Website](https://veloren.net)
- [Discord](https://discord.gg/veloren-community-449602562165833758)
- [Matrix](https://matrix.to/#/#veloren-space:fachschaften.org)
- [Twitter](https://twitter.com/velorenproject)
- [Mastodon](https://floss.social/@veloren)
- [Reddit](https://www.reddit.com/r/Veloren)
- [YouTube](https://youtube.com/@Veloren)
- [Twitch](https://www.twitch.tv/veloren_dev)

## Get Veloren

We provide builds for Windows, macOS and Linux. The game can be downloaded on the official website:

[https://veloren.net/download/](https://veloren.net/download/)

Due to rapid game development, stable versions become outdated fast and might be **incompatible with the public server**.

It is recommended to use [Airshipper](https://book.veloren.net/players/airshipper.html), our official launcher, to keep your game up-to-date easily.

If you prefer to compile the game yourself, follow the instructions in our [book](https://book.veloren.net/contributors/introduction.html).

## F.A.Q.

### **Q:** How is this game licensed?

**A:** **It is free to play, modify and distribute. Forever.** Since it is a community project, we decided to license it under the **[GNU GPL 3.0](https://www.gnu.org/licenses/gpl-3.0.txt)** license which means it will always stay free and open source.

### **Q:** What platforms are supported?

**A:** Veloren can run on Windows, macOS and Linux, on all CPU architectures. However, the x86_64 architecture is the main focus in development. Official builds for the ARM64 architecture are also provided for macOS and Linux. It is likely possible to compile the game on other platforms as well.

### **Q:** Do you accept donations?

**A:** You can support the project on our [Open Collective](https://opencollective.com/veloren) page.

## Credit

Many thanks to everyone who has contributed to Veloren's source code, provided ideas for the game, crafted game art, composed music, hunted bugs, created tools and, overall, supported the project.
